#183 Eclipse crash - SWTError: No more handles

closed-fixed
nobody
None
5
2007-01-02
2005-07-12
DVI
No

While working on a Perl program in Eclipse (some
edition, some run), the whole environment suddently
crashes during edition...whitout saving the current
documents.
The problem occured several time but I did not manage
to reproduce it 'on demand' .

Discussion

  • DVI
    DVI
    2005-07-12

    Log file from Eclipse

     
    Attachments
  • Jan Ploski
    Jan Ploski
    2006-08-07

    • summary: Eclipse crash --> Eclipse crash - SWTError: No more handles
     
  • James Watkin
    James Watkin
    2006-09-19

    Logged In: YES
    user_id=1279856

    This crash didn't happen to me until I installed the Perl
    plug-in. It's happened to me twice in less than a week
    while I was editing a .pl file.

    I've spoken to a co-worker and he says that Eclipse
    crashes while editing also, although he's never installed
    the Perl plug-in. I don't have his log crash info.

    Here's my crash info:

    !ENTRY org.eclipse.ui 4 4 2006-09-18 17:11:19.151
    !MESSAGE Unhandled event loop exception

    !ENTRY org.eclipse.ui 4 0 2006-09-18 17:11:19.161
    !MESSAGE No more handles
    !STACK 0
    org.eclipse.swt.SWTError: No more handles
    at org.eclipse.swt.SWT.error(SWT.java:3400)
    at org.eclipse.swt.SWT.error(SWT.java:3297)
    at org.eclipse.swt.SWT.error(SWT.java:3268)
    at org.eclipse.swt.graphics.Image.init
    (Image.java:1803)
    at org.eclipse.swt.graphics.Image.init
    (Image.java:1901)
    at org.eclipse.swt.graphics.Image.<init>
    (Image.java:490)
    at
    org.eclipse.jface.resource.ImageDescriptor.createImage
    (ImageDescriptor.java:295)
    at
    org.eclipse.jface.resource.ImageDescriptor.createImage
    (ImageDescriptor.java:233)
    at
    org.eclipse.jface.resource.ImageDescriptor.createImage
    (ImageDescriptor.java:211)
    at
    org.epic.perleditor.templates.perl.VariableEngine.complete
    (Unknown Source)
    at
    org.epic.perleditor.editors.perl.PerlCompletionProcessor.co
    mputeVariableProposals(Unknown Source)
    at
    org.epic.perleditor.editors.perl.PerlCompletionProcessor.co
    mputeCompletionProposals(Unknown Source)
    at
    org.eclipse.jface.text.contentassist.ContentAssistant.compu
    teCompletionProposals(ContentAssistant.java:1612)
    at
    org.eclipse.jface.text.contentassist.CompletionProposalPopu
    p.computeProposals(CompletionProposalPopup.java:473)
    at
    org.eclipse.jface.text.contentassist.CompletionProposalPopu
    p.access$17(CompletionProposalPopup.java:470)
    at
    org.eclipse.jface.text.contentassist.CompletionProposalPopu
    p$2.run(CompletionProposalPopup.java:405)
    at org.eclipse.swt.custom.BusyIndicator.showWhile
    (BusyIndicator.java:67)
    at
    org.eclipse.jface.text.contentassist.CompletionProposalPopu
    p.showProposals(CompletionProposalPopup.java:399)
    at
    org.eclipse.jface.text.contentassist.ContentAssistant$2.run
    (ContentAssistant.java:347)
    at org.eclipse.swt.widgets.RunnableLock.run
    (RunnableLock.java:35)
    at
    org.eclipse.swt.widgets.Synchronizer.runAsyncMessages
    (Synchronizer.java:123)
    at org.eclipse.swt.widgets.Display.runAsyncMessages
    (Display.java:3325)
    at org.eclipse.swt.widgets.Display.readAndDispatch
    (Display.java:2971)
    at org.eclipse.ui.internal.Workbench.runEventLoop
    (Workbench.java:1914)
    at org.eclipse.ui.internal.Workbench.runUI
    (Workbench.java:1878)
    at
    org.eclipse.ui.internal.Workbench.createAndRunWorkbench
    (Workbench.java:419)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench
    (PlatformUI.java:149)
    at org.eclipse.ui.internal.ide.IDEApplication.run
    (IDEApplication.java:95)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run
    (PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0
    (Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
    (Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
    (Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework
    (Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun
    (Main.java:280)
    at org.eclipse.core.launcher.Main.run
    (Main.java:977)
    at org.eclipse.core.launcher.Main.main
    (Main.java:952)

    !ENTRY org.eclipse.ui.workbench 4 0 2006-09-18 17:11:19.291
    !MESSAGE Widget disposed too early!
    !STACK 0
    java.lang.RuntimeException: Widget disposed too early!
    at
    org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisp
    osed(WorkbenchPartReference.java:153)
    at
    org.eclipse.swt.widgets.TypedListener.handleEvent
    (TypedListener.java:101)
    at org.eclipse.swt.widgets.EventTable.sendEvent
    (EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:928)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:952)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:933)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:743)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Canvas.releaseChildren
    (Canvas.java:117)
    at
    org.eclipse.swt.widgets.Decorations.releaseChildren
    (Decorations.java:722)
    at org.eclipse.swt.widgets.Shell.releaseChildren
    (Shell.java:1062)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at org.eclipse.swt.widgets.Widget.dispose
    (Widget.java:415)
    at org.eclipse.swt.widgets.Decorations.dispose
    (Decorations.java:397)
    at org.eclipse.swt.widgets.Shell.dispose
    (Shell.java:627)
    at org.eclipse.swt.widgets.Display.release
    (Display.java:3016)
    at org.eclipse.swt.graphics.Device.dispose
    (Device.java:262)
    at org.eclipse.ui.internal.ide.IDEApplication.run
    (IDEApplication.java:111)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run
    (PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0
    (Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
    (Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
    (Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework
    (Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun
    (Main.java:280)
    at org.eclipse.core.launcher.Main.run
    (Main.java:977)
    at org.eclipse.core.launcher.Main.main
    (Main.java:952)

    !ENTRY org.eclipse.ui.workbench 4 0 2006-09-18 17:11:19.301
    !MESSAGE Widget disposed too early!
    !STACK 0
    java.lang.RuntimeException: Widget disposed too early!
    at
    org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisp
    osed(WorkbenchPartReference.java:153)
    at
    org.eclipse.swt.widgets.TypedListener.handleEvent
    (TypedListener.java:101)
    at org.eclipse.swt.widgets.EventTable.sendEvent
    (EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:928)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:952)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:933)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:743)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Canvas.releaseChildren
    (Canvas.java:117)
    at
    org.eclipse.swt.widgets.Decorations.releaseChildren
    (Decorations.java:722)
    at org.eclipse.swt.widgets.Shell.releaseChildren
    (Shell.java:1062)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at org.eclipse.swt.widgets.Widget.dispose
    (Widget.java:415)
    at org.eclipse.swt.widgets.Decorations.dispose
    (Decorations.java:397)
    at org.eclipse.swt.widgets.Shell.dispose
    (Shell.java:627)
    at org.eclipse.swt.widgets.Display.release
    (Display.java:3016)
    at org.eclipse.swt.graphics.Device.dispose
    (Device.java:262)
    at org.eclipse.ui.internal.ide.IDEApplication.run
    (IDEApplication.java:111)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run
    (PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0
    (Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
    (Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
    (Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework
    (Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun
    (Main.java:280)
    at org.eclipse.core.launcher.Main.run
    (Main.java:977)
    at org.eclipse.core.launcher.Main.main
    (Main.java:952)

    !ENTRY org.eclipse.ui.workbench 4 0 2006-09-18 17:11:19.311
    !MESSAGE Widget disposed too early!
    !STACK 0
    java.lang.RuntimeException: Widget disposed too early!
    at
    org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisp
    osed(WorkbenchPartReference.java:153)
    at
    org.eclipse.swt.widgets.TypedListener.handleEvent
    (TypedListener.java:101)
    at org.eclipse.swt.widgets.EventTable.sendEvent
    (EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:928)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:952)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:933)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:743)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Canvas.releaseChildren
    (Canvas.java:117)
    at
    org.eclipse.swt.widgets.Decorations.releaseChildren
    (Decorations.java:722)
    at org.eclipse.swt.widgets.Shell.releaseChildren
    (Shell.java:1062)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at org.eclipse.swt.widgets.Widget.dispose
    (Widget.java:415)
    at org.eclipse.swt.widgets.Decorations.dispose
    (Decorations.java:397)
    at org.eclipse.swt.widgets.Shell.dispose
    (Shell.java:627)
    at org.eclipse.swt.widgets.Display.release
    (Display.java:3016)
    at org.eclipse.swt.graphics.Device.dispose
    (Device.java:262)
    at org.eclipse.ui.internal.ide.IDEApplication.run
    (IDEApplication.java:111)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run
    (PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0
    (Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
    (Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
    (Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework
    (Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun
    (Main.java:280)
    at org.eclipse.core.launcher.Main.run
    (Main.java:977)
    at org.eclipse.core.launcher.Main.main
    (Main.java:952)

    !ENTRY org.eclipse.ui.workbench 4 0 2006-09-18 17:11:19.531
    !MESSAGE Widget disposed too early!
    !STACK 0
    java.lang.RuntimeException: Widget disposed too early!
    at
    org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisp
    osed(WorkbenchPartReference.java:153)
    at
    org.eclipse.swt.widgets.TypedListener.handleEvent
    (TypedListener.java:101)
    at org.eclipse.swt.widgets.EventTable.sendEvent
    (EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:928)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:952)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:933)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:743)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Canvas.releaseChildren
    (Canvas.java:117)
    at
    org.eclipse.swt.widgets.Decorations.releaseChildren
    (Decorations.java:722)
    at org.eclipse.swt.widgets.Shell.releaseChildren
    (Shell.java:1062)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at org.eclipse.swt.widgets.Widget.dispose
    (Widget.java:415)
    at org.eclipse.swt.widgets.Decorations.dispose
    (Decorations.java:397)
    at org.eclipse.swt.widgets.Shell.dispose
    (Shell.java:627)
    at org.eclipse.swt.widgets.Display.release
    (Display.java:3016)
    at org.eclipse.swt.graphics.Device.dispose
    (Device.java:262)
    at org.eclipse.ui.internal.ide.IDEApplication.run
    (IDEApplication.java:111)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run
    (PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0
    (Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
    (Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
    (Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework
    (Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun
    (Main.java:280)
    at org.eclipse.core.launcher.Main.run
    (Main.java:977)
    at org.eclipse.core.launcher.Main.main
    (Main.java:952)

    !ENTRY org.eclipse.ui.workbench 4 0 2006-09-18 17:11:19.531
    !MESSAGE Widget disposed too early!
    !STACK 0
    java.lang.RuntimeException: Widget disposed too early!
    at
    org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisp
    osed(WorkbenchPartReference.java:153)
    at
    org.eclipse.swt.widgets.TypedListener.handleEvent
    (TypedListener.java:101)
    at org.eclipse.swt.widgets.EventTable.sendEvent
    (EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:928)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:952)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:933)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:743)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Canvas.releaseChildren
    (Canvas.java:117)
    at
    org.eclipse.swt.widgets.Decorations.releaseChildren
    (Decorations.java:722)
    at org.eclipse.swt.widgets.Shell.releaseChildren
    (Shell.java:1062)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at org.eclipse.swt.widgets.Widget.dispose
    (Widget.java:415)
    at org.eclipse.swt.widgets.Decorations.dispose
    (Decorations.java:397)
    at org.eclipse.swt.widgets.Shell.dispose
    (Shell.java:627)
    at org.eclipse.swt.widgets.Display.release
    (Display.java:3016)
    at org.eclipse.swt.graphics.Device.dispose
    (Device.java:262)
    at org.eclipse.ui.internal.ide.IDEApplication.run
    (IDEApplication.java:111)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run
    (PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0
    (Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
    (Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
    (Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework
    (Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun
    (Main.java:280)
    at org.eclipse.core.launcher.Main.run
    (Main.java:977)
    at org.eclipse.core.launcher.Main.main
    (Main.java:952)

    !ENTRY org.eclipse.ui.workbench 4 0 2006-09-18 17:11:19.541
    !MESSAGE Widget disposed too early!
    !STACK 0
    java.lang.RuntimeException: Widget disposed too early!
    at
    org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisp
    osed(WorkbenchPartReference.java:153)
    at
    org.eclipse.swt.widgets.TypedListener.handleEvent
    (TypedListener.java:101)
    at org.eclipse.swt.widgets.EventTable.sendEvent
    (EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:928)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:952)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:933)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:743)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Canvas.releaseChildren
    (Canvas.java:117)
    at
    org.eclipse.swt.widgets.Decorations.releaseChildren
    (Decorations.java:722)
    at org.eclipse.swt.widgets.Shell.releaseChildren
    (Shell.java:1062)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at org.eclipse.swt.widgets.Widget.dispose
    (Widget.java:415)
    at org.eclipse.swt.widgets.Decorations.dispose
    (Decorations.java:397)
    at org.eclipse.swt.widgets.Shell.dispose
    (Shell.java:627)
    at org.eclipse.swt.widgets.Display.release
    (Display.java:3016)
    at org.eclipse.swt.graphics.Device.dispose
    (Device.java:262)
    at org.eclipse.ui.internal.ide.IDEApplication.run
    (IDEApplication.java:111)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run
    (PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0
    (Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
    (Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
    (Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework
    (Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun
    (Main.java:280)
    at org.eclipse.core.launcher.Main.run
    (Main.java:977)
    at org.eclipse.core.launcher.Main.main
    (Main.java:952)

    !ENTRY org.eclipse.ui.workbench 4 0 2006-09-18 17:11:19.541
    !MESSAGE Widget disposed too early!
    !STACK 0
    java.lang.RuntimeException: Widget disposed too early!
    at
    org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisp
    osed(WorkbenchPartReference.java:153)
    at
    org.eclipse.swt.widgets.TypedListener.handleEvent
    (TypedListener.java:101)
    at org.eclipse.swt.widgets.EventTable.sendEvent
    (EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:928)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:952)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:933)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:743)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Canvas.releaseChildren
    (Canvas.java:117)
    at
    org.eclipse.swt.widgets.Decorations.releaseChildren
    (Decorations.java:722)
    at org.eclipse.swt.widgets.Shell.releaseChildren
    (Shell.java:1062)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at org.eclipse.swt.widgets.Widget.dispose
    (Widget.java:415)
    at org.eclipse.swt.widgets.Decorations.dispose
    (Decorations.java:397)
    at org.eclipse.swt.widgets.Shell.dispose
    (Shell.java:627)
    at org.eclipse.swt.widgets.Display.release
    (Display.java:3016)
    at org.eclipse.swt.graphics.Device.dispose
    (Device.java:262)
    at org.eclipse.ui.internal.ide.IDEApplication.run
    (IDEApplication.java:111)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run
    (PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0
    (Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
    (Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
    (Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework
    (Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun
    (Main.java:280)
    at org.eclipse.core.launcher.Main.run
    (Main.java:977)
    at org.eclipse.core.launcher.Main.main
    (Main.java:952)

    !ENTRY org.eclipse.ui.workbench 4 0 2006-09-18 17:11:19.551
    !MESSAGE Widget disposed too early!
    !STACK 0
    java.lang.RuntimeException: Widget disposed too early!
    at
    org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisp
    osed(WorkbenchPartReference.java:153)
    at
    org.eclipse.swt.widgets.TypedListener.handleEvent
    (TypedListener.java:101)
    at org.eclipse.swt.widgets.EventTable.sendEvent
    (EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:928)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:952)
    at org.eclipse.swt.widgets.Widget.sendEvent
    (Widget.java:933)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:743)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at
    org.eclipse.swt.widgets.Composite.releaseChildren
    (Composite.java:636)
    at org.eclipse.swt.widgets.Canvas.releaseChildren
    (Canvas.java:117)
    at
    org.eclipse.swt.widgets.Decorations.releaseChildren
    (Decorations.java:722)
    at org.eclipse.swt.widgets.Shell.releaseChildren
    (Shell.java:1062)
    at org.eclipse.swt.widgets.Widget.release
    (Widget.java:746)
    at org.eclipse.swt.widgets.Widget.dispose
    (Widget.java:415)
    at org.eclipse.swt.widgets.Decorations.dispose
    (Decorations.java:397)
    at org.eclipse.swt.widgets.Shell.dispose
    (Shell.java:627)
    at org.eclipse.swt.widgets.Display.release
    (Display.java:3016)
    at org.eclipse.swt.graphics.Device.dispose
    (Device.java:262)
    at org.eclipse.ui.internal.ide.IDEApplication.run
    (IDEApplication.java:111)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run
    (PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0
    (Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
    (Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
    (Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework
    (Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun
    (Main.java:280)
    at org.eclipse.core.launcher.Main.run
    (Main.java:977)
    at org.eclipse.core.launcher.Main.main
    (Main.java:952)

    !ENTRY org.eclipse.osgi 4 0 2006-09-18 17:11:20.082
    !MESSAGE Application error
    !STACK 1
    org.eclipse.swt.SWTError: No more handles
    at org.eclipse.swt.SWT.error(SWT.java:3400)
    at org.eclipse.swt.SWT.error(SWT.java:3297)
    at org.eclipse.swt.SWT.error(SWT.java:3268)
    at org.eclipse.swt.graphics.Image.init
    (Image.java:1803)
    at org.eclipse.swt.graphics.Image.init
    (Image.java:1905)
    at org.eclipse.swt.graphics.Image.<init>
    (Image.java:319)
    at org.eclipse.swt.widgets.ToolItem.updateImages
    (ToolItem.java:893)
    at org.eclipse.swt.widgets.ToolBar.enableWidget
    (ToolBar.java:425)
    at org.eclipse.swt.widgets.Control.setEnabled
    (Control.java:2289)
    at org.eclipse.ui.internal.WorkbenchWindow.run
    (WorkbenchWindow.java:2276)
    at
    org.eclipse.ui.internal.SaveableHelper.runProgressMonitorOp
    eration(SaveableHelper.java:258)
    at org.eclipse.ui.internal.EditorManager.saveAll
    (EditorManager.java:1260)
    at org.eclipse.ui.internal.Workbench$13.run
    (Workbench.java:773)
    at org.eclipse.core.runtime.SafeRunner.run
    (SafeRunner.java:37)
    at org.eclipse.ui.internal.Workbench.saveAllEditors
    (Workbench.java:735)
    at org.eclipse.ui.internal.Workbench.busyClose
    (Workbench.java:655)
    at org.eclipse.ui.internal.Workbench.access$8
    (Workbench.java:639)
    at org.eclipse.ui.internal.Workbench$14.run
    (Workbench.java:839)
    at org.eclipse.swt.custom.BusyIndicator.showWhile
    (BusyIndicator.java:67)
    at org.eclipse.ui.internal.Workbench.close
    (Workbench.java:837)
    at
    org.eclipse.ui.internal.WorkbenchConfigurer.emergencyClose
    (WorkbenchConfigurer.java:165)
    at
    org.eclipse.ui.internal.ide.IDEExceptionHandler.closeWorkbe
    nch(IDEExceptionHandler.java:123)
    at
    org.eclipse.ui.internal.ide.IDEExceptionHandler.handleExcep
    tion(IDEExceptionHandler.java:101)
    at
    org.eclipse.ui.internal.ide.IDEWorkbenchAdvisor.eventLoopEx
    ception(IDEWorkbenchAdvisor.java:298)
    at
    org.eclipse.ui.internal.ExceptionHandler.handleException
    (ExceptionHandler.java:62)
    at org.eclipse.ui.internal.Workbench.runEventLoop
    (Workbench.java:1918)
    at org.eclipse.ui.internal.Workbench.runUI
    (Workbench.java:1878)
    at
    org.eclipse.ui.internal.Workbench.createAndRunWorkbench
    (Workbench.java:419)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench
    (PlatformUI.java:149)
    at org.eclipse.ui.internal.ide.IDEApplication.run
    (IDEApplication.java:95)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run
    (PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLaunche
    r.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run
    (EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0
    (Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
    (Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
    (Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework
    (Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun
    (Main.java:280)
    at org.eclipse.core.launcher.Main.run
    (Main.java:977)
    at org.eclipse.core.launcher.Main.main
    (Main.java:952)
    !SESSION 2006-09-18 17:11:47.772 --------------------------
    ---------------------
    eclipse.buildId=M20060629-1905
    java.version=1.5.0_08
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32,
    NL=en_US
    Framework arguments: -product
    com.genuitec.myeclipse.product.ide
    Command-line arguments: -os win32 -ws win32 -arch x86 -
    product com.genuitec.myeclipse.product.ide

    !ENTRY org.eclipse.core.resources 2 10035 2006-09-18
    17:11:53.410
    !MESSAGE A workspace crash was detected. The previous
    session did not exit normally.

     
  • Logged In: YES
    user_id=156780

    A colleague of mine had the same problem; the editor crashed
    up to 3 or 4 times a day.

    I solved the probleme for eclipse 3.2 by changing the class
    PerlImages. The problem seems that for each entry in the
    proposition list a new image will be allocated but not
    released. Changing to a PerlImages class similar to the one
    used by the java editor and modifying all other classes
    using this class, the problem did not occure again.

    Anybody interessted in incorporating the changes? I could
    send a diff, it should be revised by someone knowing better
    the perleditor than I do.

     
  • Jan Ploski
    Jan Ploski
    2007-01-02

    • status: open --> closed-fixed
     
  • Jan Ploski
    Jan Ploski
    2007-01-02

    Logged In: YES
    user_id=86907
    Originator: NO

    Fixed in 0.4.27/0.5.28. I replaced PerlImages according to majkel-k's suggestion.